# Method: projects.locations.customConnectors.customConnectorVersions.publish

- [HTTP request](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#body.aspect)
- [Try it!](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.customConnectors.customConnectorVersions/publish#try-it)

Publish request for the CustomConnectorVersion. Once approved, the CustomConnectorVersion will be published as PartnerConnector.

### HTTP request

`POST https://connectors.googleapis.com/v1/{name=projects/*/locations/*/customConnectors/*/customConnectorVersions/*}:publish`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the form: `projects/{project}/locations/{location}/customConnectors/{customConnector}/customConnectorVersions/{customConnectorVersion}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `connectors.customConnectorVersions.update` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partnerMetadata": { object (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.customConnectors.customConnectorVersions#PartnerMetadata`) } } ``` |

| Fields ||
|---|---|
| `partnerMetadata` | ``object (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.customConnectors.customConnectorVersions#PartnerMetadata`)`` Required. Partner metadata details for validating and publishing the custom connector as a partner connector version. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).